--- build/ac-macros/macosx.m4	2012-11-25 19:04:27.000000000 -0800
+++ build/ac-macros/macosx.m4	2018-07-17 22:14:09.734314657 -0700
@@ -23,22 +23,24 @@
 dnl Check for _dyld_image_name and _dyld_image_header availability
 AC_DEFUN(SVN_LIB_MACHO_ITERATE,
 [
-  AC_MSG_CHECKING([for Mach-O dynamic module iteration functions])
-  AC_RUN_IFELSE([AC_LANG_PROGRAM([[
-    #include <mach-o/dyld.h>
-    #include <mach-o/loader.h>
-  ]],[[
-    const struct mach_header *header = _dyld_get_image_header(0);
-    const char *name = _dyld_get_image_name(0);
-    if (name && header) return 0;
-    return 1;
-  ]])],[
+  AC_CACHE_CHECK(
+    [for Mach-O dynamic module iteration functions],
+    [ac_cv_svn_lib_macho_iterate],
+    [AC_RUN_IFELSE([
+      AC_LANG_PROGRAM([[
+        #include <mach-o/dyld.h>
+        #include <mach-o/loader.h>
+      ]],[[
+        const struct mach_header *header = _dyld_get_image_header(0);
+        const char *name = _dyld_get_image_name(0);
+        if (name && header) return 0;
+        return 1;
+      ]])],
+    [ac_cv_svn_lib_macho_iterate=yes],[ac_cv_svn_lib_macho_iterate=no])])
+  if test "x$ac_cv_svn_lib_macho_iterate" = xyes; then
     AC_DEFINE([SVN_HAVE_MACHO_ITERATE], [1],
               [Is Mach-O low-level _dyld API available?])
-    AC_MSG_RESULT([yes])
-  ],[
-    AC_MSG_RESULT([no])
-  ])
+  fi
 ])
 
 dnl SVN_LIB_MACOS_PLIST
